For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Npt Comments
      • POSTCreate Npt Comments
      • POSTLike a comment
      • DELRemoves a thumbsup from a comment
      • DELRemove a comment
LogoLogo
SupportContact salesStart free trial
API ReferenceNpt Discussion

Removes a thumbsup from a comment

DELETE
https://api.projectmanager.com/api/data/non-project-tasks/comments/:commentId/like
DELETE
/api/data/non-project-tasks/comments/:commentId/like
$curl -X DELETE https://api.projectmanager.com/api/data/non-project-tasks/comments/commentId/like \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue"
13}
Unlike a comment that was previously liked
Was this page helpful?
Previous

Remove a comment

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

commentIdstringRequiredformat: "uuid"
the id of the comment

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.